%define upstream_name    Pod-Spell
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A formatter for spellchecking Pod
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Lingua::EN::Inflect)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(constant)
BuildRequires: perl(locale)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Pod::Spell is a Pod formatter whose output is good for spellchecking.
Pod::Spell rather like Pod::Text, except that it doesn't put much effort
into actual formatting, and it suppresses things that look like Perl
symbols or Perl jargon (so that your spellchecking program won't complain
about mystery words like "'$thing'" or "'Foo::Bar'" or "hashref").

This class provides no new public methods. All methods of interest are
inherited from Pod::Parser (which see). The especially interesting ones are
'parse_from_filehandle' (which without arguments takes from STDIN and sends
to STDOUT) and 'parse_from_file'. But you can probably just make do with
the examples in the synopsis though.

This class works by filtering out words that look like Perl or any form of
computerese (like "'$thing'" or "'N>7'" or "'@{$foo}{'bar','baz'}'",
anything in C<...> or F<...> codes, anything in verbatim paragraphs
(codeblocks), and anything in the stopword list. The default stopword list
for a document starts out from the stopword list defined by Pod::Wordlist,
and can be supplemented (on a per-document basis) by having '"=for
stopwords"' / '"=for :stopwords"' region(s) in a document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man?/*
%{perl_vendorlib}/*
%{_bindir}/podspell

%changelog
* Sun May 08 2016 shlomif <shlomif> 1.200.0-1.mga6
+ Revision: 1010760
- update to 1.20

* Thu Feb 25 2016 shlomif <shlomif> 1.190.0-1.mga6
+ Revision: 978834
- update to 1.19

* Wed Feb 10 2016 shlomif <shlomif> 1.180.0-1.mga6
+ Revision: 953368
- update to 1.18

* Tue Jun 30 2015 sander85 <sander85> 1.170.0-1.mga6
+ Revision: 848743
- update to 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-3.mga5
+ Revision: 743065
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-2.mga5
+ Revision: 686021
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 1.150.0-1.mga5
+ Revision: 603730
- update to 1.15

* Mon Feb 17 2014 jquelin <jquelin> 1.140.0-1.mga5
+ Revision: 593779
- update to 1.14

* Fri Feb 07 2014 sander85 <sander85> 1.130.0-1.mga5
+ Revision: 585536
- update to 1.13

* Mon Oct 21 2013 umeabot <umeabot> 1.100.0-2.mga4
+ Revision: 538001
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 1.100.0-1.mga4
+ Revision: 488255
- update to 1.10

* Fri Sep 27 2013 sander85 <sander85> 1.90.0-1.mga4
+ Revision: 487731
- update to 1.09

* Sun Sep 15 2013 sander85 <sander85> 1.70.0-1.mga4
+ Revision: 479854
- update to 1.07

* Sun Sep 08 2013 sander85 <sander85> 1.60.0-1.mga4
+ Revision: 476385
- update to 1.06

* Sun Jul 07 2013 sander85 <sander85> 1.50.0-1.mga4
+ Revision: 450943
- update to 1.05

* Wed Jun 26 2013 jquelin <jquelin> 1.40.0-1.mga4
+ Revision: 447221
- update to 1.04

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 372001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 32349
- mageia rebuild
- imported package perl-Pod-Spell

